## edu.stanford.nlp.util
Class ConcatenationIterator<T>

    java.lang.Object
      edu.stanford.nlp.util.ConcatenationIterator<T>

All Implemented Interfaces:
  Iterator<T>

    public class ConcatenationIterator<T>

extends Object
implements Iterator<T>

Iterator that represents the concatenation of two other iterators.

User: Dan Klein (klein@cs.stanford.edu) Date: Oct 22, 2003 Time: 7:27:39 PM

Constructor Summary
`ConcatenationIterator(Iterator<T> first, Iterator<T> second)`

Method Summary
`boolean` `hasNext()`
`static void` `main(String[] args)`
`T` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcatenationIterator

    public ConcatenationIterator(Iterator<T> first,
                                 Iterator<T> second)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<T>`

### next

    public T next()

  Specified by:
    `next` in interface `Iterator<T>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<T>`

### main

    public static void main(String[] args)

Stanford NLP Group